package ovh.herisson.Clyde;

import javax.sql.DataSource;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.Profile;
import org.springframework.jdbc.datasource.DriverManagerDataSource;
import org.springframework.web.servlet.config.annotation.CorsRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;

@Configuration
public class JdbcConfig {

	@Bean
	@Profile("!prod")
	public DataSource psqlSource(){
		DriverManagerDataSource source = new DriverManagerDataSource();
		source.setDriverClassName("org.postgresql.Driver");
		source.setUrl("jdbc:postgresql://localhost:5432/clyde");
		source.setUsername("devel");
		source.setPassword("devel");

		return source;
	}

	@Bean
	@Profile("prod")
	public DataSource psqlSourceProd(){
		DriverManagerDataSource source = new DriverManagerDataSource();
		source.setDriverClassName("org.postgresql.Driver");
		source.setUrl("jdbc:postgresql://localhost:5432/clyde");
		source.setUsername("clyde");

		return source;
	}


	@Bean
	public WebMvcConfigurer corsConfigurer() {
		return new WebMvcConfigurer() {
			@Override
			public void addCorsMappings(CorsRegistry registry) {
				registry.addMapping("/greeting-javaconfig").allowedOrigins("*");
			}
		};
	}

}
